<?php

namespace Bixo\Employee;

use DB;
use Illuminate\Database\Seeder;

class LeavesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('leaves')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'employee.leaves.view',
                'name'      => 'View Leaves',
            ],
            [
                'slug'      => 'employee.leaves.create',
                'name'      => 'Create Leaves',
            ],
            [
                'slug'      => 'employee.leaves.edit',
                'name'      => 'Update Leaves',
            ],
            [
                'slug'      => 'employee.leaves.delete',
                'name'      => 'Delete Leaves',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/employee/leaves',
                'name'        => 'Leaves',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/employee/leaves',
                'name'        => 'Leaves',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'leaves',
                'name'        => 'Leaves',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Employee',
                'module'    => 'Leaves',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'employee.leaves.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
