<?php

namespace Bixo\Employee;

use DB;
use Illuminate\Database\Seeder;

class SalaryHistoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('salary_histories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'employee.salary_history.view',
                'name'      => 'View SalaryHistory',
            ],
            [
                'slug'      => 'employee.salary_history.create',
                'name'      => 'Create SalaryHistory',
            ],
            [
                'slug'      => 'employee.salary_history.edit',
                'name'      => 'Update SalaryHistory',
            ],
            [
                'slug'      => 'employee.salary_history.delete',
                'name'      => 'Delete SalaryHistory',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/employee/salary_history',
                'name'        => 'SalaryHistory',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/employee/salary_history',
                'name'        => 'SalaryHistory',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'salary_history',
                'name'        => 'SalaryHistory',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Employee',
                'module'    => 'SalaryHistory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'employee.salary_history.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
