<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for attendance in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  attendance module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Attendance',
    'names'         => 'Attendances',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Attendances',
        'sub'   => 'Attendances',
        'list'  => 'List of attendances',
        'edit'  => 'Edit attendance',
        'create'    => 'Create new attendance'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Pending','Approved','Rejected',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'employee_id'                => 'Please enter employee id',
        'request_id'                 => 'Please enter request id',
        'date'                       => 'Please select date',
        'type'                       => 'Please enter type',
        'leave_type'                 => 'Please enter leave type',
        'paid'                       => 'Please enter paid',
        'time_in'                    => 'Please select time in',
        'time_out'                   => 'Please select time out',
        'description'                => 'Please enter description',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'employee_id'                => 'Employee id',
        'request_id'                 => 'Request id',
        'date'                       => 'Date',
        'type'                       => 'Type',
        'leave_type'                 => 'Leave type',
        'paid'                       => 'Paid',
        'time_in'                    => 'Time in',
        'time_out'                   => 'Time out',
        'description'                => 'Description',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 1, 'checked'],
        'request_id'                 => ['name' => 'Request id', 'data-column' => 2, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 3, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 4, 'checked'],
        'leave_type'                 => ['name' => 'Leave type', 'data-column' => 5, 'checked'],
        'paid'                       => ['name' => 'Paid', 'data-column' => 6, 'checked'],
        'time_in'                    => ['name' => 'Time in', 'data-column' => 7, 'checked'],
        'time_out'                   => ['name' => 'Time out', 'data-column' => 8, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 9, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Attendances',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
