<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for dependents in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  dependents module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Dependents',
    'names'         => 'Dependents',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Dependents',
        'sub'   => 'Dependents',
        'list'  => 'List of dependents',
        'edit'  => 'Edit dependents',
        'create'    => 'Create new dependents'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'relation'            => ['Spouse','Child','Parent','Maid','Driver','Other',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'employee_id'                => 'Please enter employee id',
        'name'                       => 'Please enter name',
        'relation'                   => 'Please select relation',
        'country'                    => 'Please enter country',
        'com_spon_visa'              => 'Please enter com spon visa',
        'com_spon_med_ins'           => 'Please enter com spon med ins',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'employee_id'                => 'Employee id',
        'name'                       => 'Name',
        'relation'                   => 'Relation',
        'country'                    => 'Country',
        'com_spon_visa'              => 'Com spon visa',
        'com_spon_med_ins'           => 'Com spon med ins',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'relation'                   => ['name' => 'Relation', 'data-column' => 3, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 4, 'checked'],
        'com_spon_visa'              => ['name' => 'Com spon visa', 'data-column' => 5, 'checked'],
        'com_spon_med_ins'           => ['name' => 'Com spon med ins', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Dependents',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
