<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for leaves in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  leaves module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Leaves',
    'names'         => 'Leaves',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Leaves',
        'sub'   => 'Leaves',
        'list'  => 'List of leaves',
        'edit'  => 'Edit leaves',
        'create'    => 'Create new leaves'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'employee_id'                => 'Please enter employee id',
        'paid_leave'                 => 'Please enter paid leave',
        'sick_leave'                 => 'Please enter sick leave',
        'maternity_leave'            => 'Please enter maternity leave',
        'paternity_leave'            => 'Please enter paternity leave',
        'unpaid_leave'               => 'Please enter unpaid leave',
        'absence'                    => 'Please enter absence',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'employee_id'                => 'Employee id',
        'paid_leave'                 => 'Paid leave',
        'sick_leave'                 => 'Sick leave',
        'maternity_leave'            => 'Maternity leave',
        'paternity_leave'            => 'Paternity leave',
        'unpaid_leave'               => 'Unpaid leave',
        'absence'                    => 'Absence',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 1, 'checked'],
        'paid_leave'                 => ['name' => 'Paid leave', 'data-column' => 2, 'checked'],
        'sick_leave'                 => ['name' => 'Sick leave', 'data-column' => 3, 'checked'],
        'maternity_leave'            => ['name' => 'Maternity leave', 'data-column' => 4, 'checked'],
        'paternity_leave'            => ['name' => 'Paternity leave', 'data-column' => 5, 'checked'],
        'unpaid_leave'               => ['name' => 'Unpaid leave', 'data-column' => 6, 'checked'],
        'absence'                    => ['name' => 'Absence', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Leaves',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
