<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('employee::employees.name') !!} <small> {!! trans('app.manage') !!} {!! trans('employee::employees.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('employee::employees.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='employee-employees-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('employee/employees')!!}">{!! trans('employee::employees.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('employee/employees?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('employee/employees?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('employee/employees/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('employee::admin.employees.partial.actions')
                    -->
                    @include('employee::admin.employees.partial.filter')
                    @include('employee::admin.employees.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="employee-employees-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="employee-employees-check-all"></th>
                        <th data-field="office_id">{!! trans('employee::employees.label.office_id')!!}</th>
                    <th data-field="division_id">{!! trans('employee::employees.label.division_id')!!}</th>
                    <th data-field="department_id">{!! trans('employee::employees.label.department_id')!!}</th>
                    <th data-field="manager_id">{!! trans('employee::employees.label.manager_id')!!}</th>
                    <th data-field="first_name">{!! trans('employee::employees.label.first_name')!!}</th>
                    <th data-field="last_name">{!! trans('employee::employees.label.last_name')!!}</th>
                    <th data-field="dob">{!! trans('employee::employees.label.dob')!!}</th>
                    <th data-field="gender">{!! trans('employee::employees.label.gender')!!}</th>
                    <th data-field="martial_status">{!! trans('employee::employees.label.martial_status')!!}</th>
                    <th data-field="religion">{!! trans('employee::employees.label.religion')!!}</th>
                    <th data-field="languages">{!! trans('employee::employees.label.languages')!!}</th>
                    <th data-field="nationality">{!! trans('employee::employees.label.nationality')!!}</th>
                    <th data-field="contact_home_address">{!! trans('employee::employees.label.contact_home_address')!!}</th>
                    <th data-field="contact_home_phone">{!! trans('employee::employees.label.contact_home_phone')!!}</th>
                    <th data-field="contact_home_email">{!! trans('employee::employees.label.contact_home_email')!!}</th>
                    <th data-field="contact_work_address">{!! trans('employee::employees.label.contact_work_address')!!}</th>
                    <th data-field="contact_work_phone">{!! trans('employee::employees.label.contact_work_phone')!!}</th>
                    <th data-field="contact_work_email">{!! trans('employee::employees.label.contact_work_email')!!}</th>
                    <th data-field="contact_work_mobile">{!! trans('employee::employees.label.contact_work_mobile')!!}</th>
                    <th data-field="contact_emergency_name">{!! trans('employee::employees.label.contact_emergency_name')!!}</th>
                    <th data-field="contact_emergency_address">{!! trans('employee::employees.label.contact_emergency_address')!!}</th>
                    <th data-field="contact_emergency_phone">{!! trans('employee::employees.label.contact_emergency_phone')!!}</th>
                    <th data-field="contact_emergency_relation">{!! trans('employee::employees.label.contact_emergency_relation')!!}</th>
                    <th data-field="employment_job_title">{!! trans('employee::employees.label.employment_job_title')!!}</th>
                    <th data-field="employment_user_role">{!! trans('employee::employees.label.employment_user_role')!!}</th>
                    <th data-field="employment_start_date">{!! trans('employee::employees.label.employment_start_date')!!}</th>
                    <th data-field="employment_end_date">{!! trans('employee::employees.label.employment_end_date')!!}</th>
                    <th data-field="account_bank_name">{!! trans('employee::employees.label.account_bank_name')!!}</th>
                    <th data-field="account_bank_address">{!! trans('employee::employees.label.account_bank_address')!!}</th>
                    <th data-field="account_routing_code">{!! trans('employee::employees.label.account_routing_code')!!}</th>
                    <th data-field="account_number">{!! trans('employee::employees.label.account_number')!!}</th>
                    <th data-field="account_iban_number">{!! trans('employee::employees.label.account_iban_number')!!}</th>
                    <th data-field="account_name">{!! trans('employee::employees.label.account_name')!!}</th>
                    <th data-field="contract_business_licence">{!! trans('employee::employees.label.contract_business_licence')!!}</th>
                    <th data-field="contract_type">{!! trans('employee::employees.label.contract_type')!!}</th>
                    <th data-field="contract_number">{!! trans('employee::employees.label.contract_number')!!}</th>
                    <th data-field="contract_start_date">{!! trans('employee::employees.label.contract_start_date')!!}</th>
                    <th data-field="contract_end_date">{!! trans('employee::employees.label.contract_end_date')!!}</th>
                    <th data-field="contract_copy">{!! trans('employee::employees.label.contract_copy')!!}</th>
                    <th data-field="current_salary">{!! trans('employee::employees.label.current_salary')!!}</th>
                    <th data-field="created_id">{!! trans('employee::employees.label.created_id')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#employee-employees-entry', '{!!guard_url('employee/employees/0')!!}');
    oTable = $('#employee-employees-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('employee/employees') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'office_id'},
            {data :'division_id'},
            {data :'department_id'},
            {data :'manager_id'},
            {data :'first_name'},
            {data :'last_name'},
            {data :'dob'},
            {data :'gender'},
            {data :'martial_status'},
            {data :'religion'},
            {data :'languages'},
            {data :'nationality'},
            {data :'contact_home_address'},
            {data :'contact_home_phone'},
            {data :'contact_home_email'},
            {data :'contact_work_address'},
            {data :'contact_work_phone'},
            {data :'contact_work_email'},
            {data :'contact_work_mobile'},
            {data :'contact_emergency_name'},
            {data :'contact_emergency_address'},
            {data :'contact_emergency_phone'},
            {data :'contact_emergency_relation'},
            {data :'employment_job_title'},
            {data :'employment_user_role'},
            {data :'employment_start_date'},
            {data :'employment_end_date'},
            {data :'account_bank_name'},
            {data :'account_bank_address'},
            {data :'account_routing_code'},
            {data :'account_number'},
            {data :'account_iban_number'},
            {data :'account_name'},
            {data :'contract_business_licence'},
            {data :'contract_type'},
            {data :'contract_number'},
            {data :'contract_start_date'},
            {data :'contract_end_date'},
            {data :'contract_copy'},
            {data :'current_salary'},
            {data :'created_id'},
        ],
        "pageLength": 25
    });

    $('#employee-employees-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#employee-employees-list').DataTable().row( this ).data();
        $('#employee-employees-entry').load('{!!guard_url('employee/employees')!!}' + '/' + d.id);
    });

    $('#employee-employees-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#employee-employees-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#employee-employees-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#employee-employees-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>