            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('office_id')
                       -> label(trans('employee::employees.label.office_id'))
                       -> placeholder(trans('employee::employees.placeholder.office_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('division_id')
                       -> label(trans('employee::employees.label.division_id'))
                       -> placeholder(trans('employee::employees.placeholder.division_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('department_id')
                       -> label(trans('employee::employees.label.department_id'))
                       -> placeholder(trans('employee::employees.placeholder.department_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('manager_id')
                       -> label(trans('employee::employees.label.manager_id'))
                       -> placeholder(trans('employee::employees.placeholder.manager_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('first_name')
                       -> label(trans('employee::employees.label.first_name'))
                       -> placeholder(trans('employee::employees.placeholder.first_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('last_name')
                       -> label(trans('employee::employees.label.last_name'))
                       -> placeholder(trans('employee::employees.placeholder.last_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='dob' class='control-label'>{!!trans('employee::employees.label.dob')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('dob')
                        -> placeholder(trans('employee::employees.placeholder.dob'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('gender')
                   -> radios(trans('employee::employees.options.gender'))
                   -> label(trans('employee::employees.label.gender'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('martial_status')
                   -> radios(trans('employee::employees.options.martial_status'))
                   -> label(trans('employee::employees.label.martial_status'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('religion')
                       -> label(trans('employee::employees.label.religion'))
                       -> placeholder(trans('employee::employees.placeholder.religion'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('languages')
                       -> label(trans('employee::employees.label.languages'))
                       -> placeholder(trans('employee::employees.placeholder.languages'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('nationality')
                       -> label(trans('employee::employees.label.nationality'))
                       -> placeholder(trans('employee::employees.placeholder.nationality'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_home_address')
                       -> label(trans('employee::employees.label.contact_home_address'))
                       -> placeholder(trans('employee::employees.placeholder.contact_home_address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_home_phone')
                       -> label(trans('employee::employees.label.contact_home_phone'))
                       -> placeholder(trans('employee::employees.placeholder.contact_home_phone'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_home_email')
                       -> label(trans('employee::employees.label.contact_home_email'))
                       -> placeholder(trans('employee::employees.placeholder.contact_home_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_work_address')
                       -> label(trans('employee::employees.label.contact_work_address'))
                       -> placeholder(trans('employee::employees.placeholder.contact_work_address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_work_phone')
                       -> label(trans('employee::employees.label.contact_work_phone'))
                       -> placeholder(trans('employee::employees.placeholder.contact_work_phone'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_work_email')
                       -> label(trans('employee::employees.label.contact_work_email'))
                       -> placeholder(trans('employee::employees.placeholder.contact_work_email'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_work_mobile')
                       -> label(trans('employee::employees.label.contact_work_mobile'))
                       -> placeholder(trans('employee::employees.placeholder.contact_work_mobile'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_emergency_name')
                       -> label(trans('employee::employees.label.contact_emergency_name'))
                       -> placeholder(trans('employee::employees.placeholder.contact_emergency_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_emergency_address')
                       -> label(trans('employee::employees.label.contact_emergency_address'))
                       -> placeholder(trans('employee::employees.placeholder.contact_emergency_address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_emergency_phone')
                       -> label(trans('employee::employees.label.contact_emergency_phone'))
                       -> placeholder(trans('employee::employees.placeholder.contact_emergency_phone'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contact_emergency_relation')
                       -> label(trans('employee::employees.label.contact_emergency_relation'))
                       -> placeholder(trans('employee::employees.placeholder.contact_emergency_relation'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('employment_job_title')
                       -> label(trans('employee::employees.label.employment_job_title'))
                       -> placeholder(trans('employee::employees.placeholder.employment_job_title'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('employment_user_role')
                   -> radios(trans('employee::employees.options.employment_user_role'))
                   -> label(trans('employee::employees.label.employment_user_role'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='employment_start_date' class='control-label'>{!!trans('employee::employees.label.employment_start_date')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('employment_start_date')
                        -> placeholder(trans('employee::employees.placeholder.employment_start_date'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='employment_end_date' class='control-label'>{!!trans('employee::employees.label.employment_end_date')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('employment_end_date')
                        -> placeholder(trans('employee::employees.placeholder.employment_end_date'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('account_bank_name')
                       -> label(trans('employee::employees.label.account_bank_name'))
                       -> placeholder(trans('employee::employees.placeholder.account_bank_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('account_bank_address')
                       -> label(trans('employee::employees.label.account_bank_address'))
                       -> placeholder(trans('employee::employees.placeholder.account_bank_address'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('account_routing_code')
                       -> label(trans('employee::employees.label.account_routing_code'))
                       -> placeholder(trans('employee::employees.placeholder.account_routing_code'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('account_number')
                       -> label(trans('employee::employees.label.account_number'))
                       -> placeholder(trans('employee::employees.placeholder.account_number'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('account_iban_number')
                       -> label(trans('employee::employees.label.account_iban_number'))
                       -> placeholder(trans('employee::employees.placeholder.account_iban_number'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('account_name')
                       -> label(trans('employee::employees.label.account_name'))
                       -> placeholder(trans('employee::employees.placeholder.account_name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contract_business_licence')
                       -> label(trans('employee::employees.label.contract_business_licence'))
                       -> placeholder(trans('employee::employees.placeholder.contract_business_licence'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   {!! Form::inline_radios('contract_type')
                   -> radios(trans('employee::employees.options.contract_type'))
                   -> label(trans('employee::employees.label.contract_type'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contract_number')
                       -> label(trans('employee::employees.label.contract_number'))
                       -> placeholder(trans('employee::employees.placeholder.contract_number'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='contract_start_date' class='control-label'>{!!trans('employee::employees.label.contract_start_date')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('contract_start_date')
                        -> placeholder(trans('employee::employees.placeholder.contract_start_date'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                   <div class='form-group'>
                     <label for='contract_end_date' class='control-label'>{!!trans('employee::employees.label.contract_end_date')!!}</label>
                     <div class='input-group pickdate'>
                        {!! Form::text('contract_end_date')
                        -> placeholder(trans('employee::employees.placeholder.contract_end_date'))
                        ->raw()!!}
                       <span class='input-group-addon'><i class='fa fa-calendar'></i></span>
                     </div>
                   </div>
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('contract_copy')
                       -> label(trans('employee::employees.label.contract_copy'))
                       -> placeholder(trans('employee::employees.placeholder.contract_copy'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('current_salary')
                       -> label(trans('employee::employees.label.current_salary'))
                       -> placeholder(trans('employee::employees.placeholder.current_salary'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('created_id')
                       -> label(trans('employee::employees.label.created_id'))
                       -> placeholder(trans('employee::employees.placeholder.created_id'))!!}
                </div>
            </div>