    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#leaves" data-toggle="tab">{!! trans('employee::leaves.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#employee-leaves-edit'  data-load-to='#employee-leaves-entry' data-datatable='#employee-leaves-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#employee-leaves-entry' data-href='{{guard_url('employee/leaves')}}/{{$leaves->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('employee-leaves-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('employee/leaves/'. $leaves->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="leaves">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('employee::leaves.name') !!} [{!!$leaves->name!!}] </div>
                @include('employee::admin.leaves.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>