    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#newjoinee" data-toggle="tab">{!! trans('employee::newjoinee.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#employee-newjoinee-edit'  data-load-to='#employee-newjoinee-entry' data-datatable='#employee-newjoinee-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#employee-newjoinee-entry' data-href='{{guard_url('employee/newjoinee')}}/{{$newjoinee->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('employee-newjoinee-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('employee/newjoinee/'. $newjoinee->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="newjoinee">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('employee::newjoinee.name') !!} [{!!$newjoinee->name!!}] </div>
                @include('employee::admin.newjoinee.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>