<?php

namespace Bixo\Employee\Repositories\Eloquent;

use Bixo\Employee\Interfaces\BenefitsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class BenefitsRepository extends BaseRepository implements BenefitsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.employee.benefits.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.employee.benefits.model.model');
    }
}
