<?php

namespace Bixo\Employee\Repositories\Eloquent;

use Bixo\Employee\Interfaces\LeavesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LeavesRepository extends BaseRepository implements LeavesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.employee.leaves.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.employee.leaves.model.model');
    }
}
