<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for newjoinee in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  newjoinee module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Newjoinee',
    'names'         => 'Newjoinees',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Newjoinees',
        'sub'   => 'Newjoinees',
        'list'  => 'List of newjoinees',
        'edit'  => 'Edit newjoinee',
        'create'    => 'Create new newjoinee'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'gender'              => ['Male','Female',''],
            'martial_status'      => ['Single','Married','Divorced','Widowed',''],
            'contract_type'       => ['Full Time','Part Time','Contract','Other',''],
            'status'              => ['Active','Inactive',''],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'user_id'                    => 'Please enter user id',
        'org_id'                     => 'Please enter org id',
        'branch_id'                  => 'Please enter branch id',
        'division_id'                => 'Please enter division id',
        'department_id'              => 'Please enter department id',
        'manager_id'                 => 'Please enter manager id',
        'first_name'                 => 'Please enter first name',
        'last_name'                  => 'Please enter last name',
        'dob'                        => 'Please select dob',
        'place_of_birth'             => 'Please enter place of birth',
        'gender'                     => 'Please select gender',
        'martial_status'             => 'Please select martial status',
        'driving_license'            => 'Please enter driving license',
        'religion'                   => 'Please enter religion',
        'designation'                => 'Please enter designation',
        'languages'                  => 'Please enter languages',
        'nationality'                => 'Please enter nationality',
        'coo_id'                     => 'Please enter coo id',
        'mother_name'                => 'Please enter mother name',
        'social'                     => 'Please enter social',
        'contact_home_address'        => 'Please enter contact home address',
        'contact_home_mobile'        => 'Please enter contact home mobile',
        'contact_home_phone'         => 'Please enter contact home phone',
        'contact_home_email'         => 'Please enter contact home email',
        'contact_work_address'        => 'Please enter contact work address',
        'contact_work_phone'         => 'Please enter contact work phone',
        'contact_work_email'         => 'Please enter contact work email',
        'contact_work_mobile'        => 'Please enter contact work mobile',
        'contact_emergency_name'        => 'Please enter contact emergency name',
        'contact_emergency_address'        => 'Please enter contact emergency address',
        'contact_emergency_mobile'        => 'Please enter contact emergency mobile',
        'contact_emergency_email'        => 'Please enter contact emergency email',
        'contact_emergency_phone'        => 'Please enter contact emergency phone',
        'contact_emergency_relation'        => 'Please enter contact emergency relation',
        'employment_job_title'        => 'Please enter employment job title',
        'employment_user_role'        => 'Please enter employment user role',
        'employment_start_date'        => 'Please select employment start date',
        'employment_end_date'        => 'Please select employment end date',
        'account_bank_name'          => 'Please enter account bank name',
        'account_bank_address'        => 'Please enter account bank address',
        'account_routing_code'        => 'Please enter account routing code',
        'account_number'             => 'Please enter account number',
        'account_iban_number'        => 'Please enter account iban number',
        'account_name'               => 'Please enter account name',
        'contract_business_licence'        => 'Please enter contract business licence',
        'contract_type'              => 'Please select contract type',
        'contract_number'            => 'Please enter contract number',
        'contract_start_date'        => 'Please select contract start date',
        'contract_end_date'          => 'Please select contract end date',
        'contract_copy'              => 'Please enter contract copy',
        'current_salary'             => 'Please enter current salary',
        'current_salary_date'        => 'Please select current salary date',
        'prev_salary'                => 'Please enter prev salary',
        'probation_period'           => 'Please enter probation period',
        'passport'                   => 'Please enter passport',
        'visa'                       => 'Please enter visa',
        'ref_pre_emp'                => 'Please enter ref pre emp',
        'ref_uae'                    => 'Please enter ref uae',
        'ref_home'                   => 'Please enter ref home',
        'notes'                      => 'Please enter notes',
        'status'                     => 'Please select status',
        'notifications'              => 'Please enter notifications',
        'upload_folder'              => 'Please enter upload folder',
        'user_type'                  => 'Please enter user type',
        'created_id'                 => 'Please enter created id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'user_id'                    => 'User id',
        'org_id'                     => 'Org id',
        'branch_id'                  => 'Branch id',
        'division_id'                => 'Division id',
        'department_id'              => 'Department id',
        'manager_id'                 => 'Manager id',
        'first_name'                 => 'First name',
        'last_name'                  => 'Last name',
        'dob'                        => 'Dob',
        'place_of_birth'             => 'Place of birth',
        'gender'                     => 'Gender',
        'martial_status'             => 'Martial status',
        'driving_license'            => 'Driving license',
        'religion'                   => 'Religion',
        'designation'                => 'Designation',
        'languages'                  => 'Languages',
        'nationality'                => 'Nationality',
        'coo_id'                     => 'Coo id',
        'mother_name'                => 'Mother name',
        'social'                     => 'Social',
        'contact_home_address'        => 'Contact home address',
        'contact_home_mobile'        => 'Contact home mobile',
        'contact_home_phone'         => 'Contact home phone',
        'contact_home_email'         => 'Contact home email',
        'contact_work_address'        => 'Contact work address',
        'contact_work_phone'         => 'Contact work phone',
        'contact_work_email'         => 'Contact work email',
        'contact_work_mobile'        => 'Contact work mobile',
        'contact_emergency_name'        => 'Contact emergency name',
        'contact_emergency_address'        => 'Contact emergency address',
        'contact_emergency_mobile'        => 'Contact emergency mobile',
        'contact_emergency_email'        => 'Contact emergency email',
        'contact_emergency_phone'        => 'Contact emergency phone',
        'contact_emergency_relation'        => 'Contact emergency relation',
        'employment_job_title'        => 'Employment job title',
        'employment_user_role'        => 'Employment user role',
        'employment_start_date'        => 'Employment start date',
        'employment_end_date'        => 'Employment end date',
        'account_bank_name'          => 'Account bank name',
        'account_bank_address'        => 'Account bank address',
        'account_routing_code'        => 'Account routing code',
        'account_number'             => 'Account number',
        'account_iban_number'        => 'Account iban number',
        'account_name'               => 'Account name',
        'contract_business_licence'        => 'Contract business licence',
        'contract_type'              => 'Contract type',
        'contract_number'            => 'Contract number',
        'contract_start_date'        => 'Contract start date',
        'contract_end_date'          => 'Contract end date',
        'contract_copy'              => 'Contract copy',
        'current_salary'             => 'Current salary',
        'current_salary_date'        => 'Current salary date',
        'prev_salary'                => 'Prev salary',
        'probation_period'           => 'Probation period',
        'passport'                   => 'Passport',
        'visa'                       => 'Visa',
        'ref_pre_emp'                => 'Ref pre emp',
        'ref_uae'                    => 'Ref uae',
        'ref_home'                   => 'Ref home',
        'notes'                      => 'Notes',
        'status'                     => 'Status',
        'notifications'              => 'Notifications',
        'upload_folder'              => 'Upload folder',
        'user_type'                  => 'User type',
        'created_id'                 => 'Created id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'ref'                        => ['name' => 'Ref', 'data-column' => 1, 'checked'],
        'org_id'                     => ['name' => 'Org id', 'data-column' => 2, 'checked'],
        'branch_id'                  => ['name' => 'Branch id', 'data-column' => 3, 'checked'],
        'division_id'                => ['name' => 'Division id', 'data-column' => 4, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 5, 'checked'],
        'manager_id'                 => ['name' => 'Manager id', 'data-column' => 6, 'checked'],
        'first_name'                 => ['name' => 'First name', 'data-column' => 7, 'checked'],
        'last_name'                  => ['name' => 'Last name', 'data-column' => 8, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 9, 'checked'],
        'place_of_birth'             => ['name' => 'Place of birth', 'data-column' => 10, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 11, 'checked'],
        'martial_status'             => ['name' => 'Martial status', 'data-column' => 12, 'checked'],
        'driving_license'            => ['name' => 'Driving license', 'data-column' => 13, 'checked'],
        'religion'                   => ['name' => 'Religion', 'data-column' => 14, 'checked'],
        'designation'                => ['name' => 'Designation', 'data-column' => 15, 'checked'],
        'languages'                  => ['name' => 'Languages', 'data-column' => 16, 'checked'],
        'nationality'                => ['name' => 'Nationality', 'data-column' => 17, 'checked'],
        'coo_id'                     => ['name' => 'Coo id', 'data-column' => 18, 'checked'],
        'mother_name'                => ['name' => 'Mother name', 'data-column' => 19, 'checked'],
        'social'                     => ['name' => 'Social', 'data-column' => 20, 'checked'],
        'contact_home_address'        => ['name' => 'Contact home address', 'data-column' => 21, 'checked'],
        'contact_home_mobile'        => ['name' => 'Contact home mobile', 'data-column' => 22, 'checked'],
        'contact_home_phone'         => ['name' => 'Contact home phone', 'data-column' => 23, 'checked'],
        'contact_home_email'         => ['name' => 'Contact home email', 'data-column' => 24, 'checked'],
        'contact_work_address'        => ['name' => 'Contact work address', 'data-column' => 25, 'checked'],
        'contact_work_phone'         => ['name' => 'Contact work phone', 'data-column' => 26, 'checked'],
        'contact_work_email'         => ['name' => 'Contact work email', 'data-column' => 27, 'checked'],
        'contact_work_mobile'        => ['name' => 'Contact work mobile', 'data-column' => 28, 'checked'],
        'contact_emergency_name'        => ['name' => 'Contact emergency name', 'data-column' => 29, 'checked'],
        'contact_emergency_address'        => ['name' => 'Contact emergency address', 'data-column' => 30, 'checked'],
        'contact_emergency_mobile'        => ['name' => 'Contact emergency mobile', 'data-column' => 31, 'checked'],
        'contact_emergency_email'        => ['name' => 'Contact emergency email', 'data-column' => 32, 'checked'],
        'contact_emergency_phone'        => ['name' => 'Contact emergency phone', 'data-column' => 33, 'checked'],
        'contact_emergency_relation'        => ['name' => 'Contact emergency relation', 'data-column' => 34, 'checked'],
        'employment_job_title'        => ['name' => 'Employment job title', 'data-column' => 35, 'checked'],
        'employment_user_role'        => ['name' => 'Employment user role', 'data-column' => 36, 'checked'],
        'employment_start_date'        => ['name' => 'Employment start date', 'data-column' => 37, 'checked'],
        'employment_end_date'        => ['name' => 'Employment end date', 'data-column' => 38, 'checked'],
        'account_bank_name'          => ['name' => 'Account bank name', 'data-column' => 39, 'checked'],
        'account_bank_address'        => ['name' => 'Account bank address', 'data-column' => 40, 'checked'],
        'account_routing_code'        => ['name' => 'Account routing code', 'data-column' => 41, 'checked'],
        'account_number'             => ['name' => 'Account number', 'data-column' => 42, 'checked'],
        'account_iban_number'        => ['name' => 'Account iban number', 'data-column' => 43, 'checked'],
        'account_name'               => ['name' => 'Account name', 'data-column' => 44, 'checked'],
        'contract_business_licence'        => ['name' => 'Contract business licence', 'data-column' => 45, 'checked'],
        'contract_type'              => ['name' => 'Contract type', 'data-column' => 46, 'checked'],
        'contract_number'            => ['name' => 'Contract number', 'data-column' => 47, 'checked'],
        'contract_start_date'        => ['name' => 'Contract start date', 'data-column' => 48, 'checked'],
        'contract_end_date'          => ['name' => 'Contract end date', 'data-column' => 49, 'checked'],
        'contract_copy'              => ['name' => 'Contract copy', 'data-column' => 50, 'checked'],
        'current_salary'             => ['name' => 'Current salary', 'data-column' => 51, 'checked'],
        'current_salary_date'        => ['name' => 'Current salary date', 'data-column' => 52, 'checked'],
        'prev_salary'                => ['name' => 'Prev salary', 'data-column' => 53, 'checked'],
        'probation_period'           => ['name' => 'Probation period', 'data-column' => 54, 'checked'],
        'passport'                   => ['name' => 'Passport', 'data-column' => 55, 'checked'],
        'visa'                       => ['name' => 'Visa', 'data-column' => 56, 'checked'],
        'ref_pre_emp'                => ['name' => 'Ref pre emp', 'data-column' => 57, 'checked'],
        'ref_uae'                    => ['name' => 'Ref uae', 'data-column' => 58, 'checked'],
        'ref_home'                   => ['name' => 'Ref home', 'data-column' => 59, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 60, 'checked'],
        'notifications'              => ['name' => 'Notifications', 'data-column' => 61, 'checked'],
        'created_id'                 => ['name' => 'Created id', 'data-column' => 62, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Newjoinees',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
