<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for salary_history in employee package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  salary_history module in employee package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'SalaryHistory',
    'names'         => 'SalaryHistories',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'SalaryHistories',
        'sub'   => 'SalaryHistories',
        'list'  => 'List of salary_histories',
        'edit'  => 'Edit salary_history',
        'create'    => 'Create new salary_history'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'employee_id'                => 'Please enter employee id',
        'salary'                     => 'Please enter salary',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'employee_id'                => 'Employee id',
        'salary'                     => 'Salary',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 1, 'checked'],
        'salary'                     => ['name' => 'Salary', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'SalaryHistories',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
