<div class="btn-group employee-newjoinee">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[ref]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.ref')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[ref]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[org_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.org_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[org_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[branch_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.branch_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[branch_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[division_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.division_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[division_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[department_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.department_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[department_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[manager_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.manager_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[manager_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[first_name]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.first_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[first_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[last_name]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.last_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[last_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[dob]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.dob')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[dob]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[place_of_birth]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.place_of_birth')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[place_of_birth]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[gender]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.gender')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[gender]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[martial_status]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.martial_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[martial_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[driving_license]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.driving_license')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[driving_license]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[religion]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.religion')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[religion]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[designation]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.designation')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[designation]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[languages]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.languages')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[languages]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[nationality]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.nationality')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[nationality]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[coo_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.coo_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[coo_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[mother_name]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.mother_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[mother_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[social]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.social')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[social]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_home_address]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_home_address')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_home_address]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_home_mobile]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_home_mobile')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_home_mobile]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_home_phone]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_home_phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_home_phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_home_email]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_home_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_home_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_work_address]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_work_address')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_work_address]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_work_phone]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_work_phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_work_phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_work_email]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_work_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_work_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_work_mobile]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_work_mobile')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_work_mobile]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_emergency_name]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_emergency_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_emergency_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_emergency_address]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_emergency_address')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_emergency_address]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_emergency_mobile]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_emergency_mobile')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_emergency_mobile]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_emergency_email]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_emergency_email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_emergency_email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_emergency_phone]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_emergency_phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_emergency_phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contact_emergency_relation]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contact_emergency_relation')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contact_emergency_relation]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[employment_job_title]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.employment_job_title')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[employment_job_title]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[employment_user_role]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.employment_user_role')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[employment_user_role]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[employment_start_date]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.employment_start_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[employment_start_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[employment_end_date]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.employment_end_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[employment_end_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_bank_name]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.account_bank_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_bank_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_bank_address]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.account_bank_address')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_bank_address]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_routing_code]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.account_routing_code')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_routing_code]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_number]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.account_number')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_number]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_iban_number]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.account_iban_number')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_iban_number]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[account_name]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.account_name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[account_name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_business_licence]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contract_business_licence')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_business_licence]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_type]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contract_type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_number]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contract_number')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_number]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_start_date]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contract_start_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_start_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_end_date]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contract_end_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_end_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[contract_copy]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.contract_copy')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[contract_copy]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[current_salary]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.current_salary')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[current_salary]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[current_salary_date]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.current_salary_date')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[current_salary_date]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[prev_salary]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.prev_salary')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[prev_salary]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[probation_period]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.probation_period')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[probation_period]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[passport]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.passport')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[passport]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[visa]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.visa')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[visa]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[ref_pre_emp]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.ref_pre_emp')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[ref_pre_emp]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[ref_uae]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.ref_uae')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[ref_uae]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[ref_home]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.ref_home')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[ref_home]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[notes]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.notes')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[notes]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[notifications]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.notifications')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[notifications]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[created_id]" class="col-sm-2 control-label">
                                        {!! trans('employee::newjoinee.label.created_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[created_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".employee-newjoinee .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/employee.newjoinee.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".employee-newjoinee .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.employee-newjoinee .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'employee.newjoinee.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#employee-newjoinee-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#employee-newjoinee-list .btn-reset-filter').css('display', 'none');

    });

});
</script>