    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#salary_history" data-toggle="tab">{!! trans('employee::salary_history.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#employee-salary_history-edit'  data-load-to='#employee-salary_history-entry' data-datatable='#employee-salary_history-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#employee-salary_history-entry' data-href='{{guard_url('employee/salary_history')}}/{{$salary_history->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('employee-salary_history-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('employee/salary_history/'. $salary_history->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="salary_history">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('employee::salary_history.name') !!} [{!!$salary_history->name!!}] </div>
                @include('employee::admin.salary_history.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>