    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('employee::salary_history.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#employee-salary_history-entry' data-href='{{guard_url('employee/salary_history/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($salary_history->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#employee-salary_history-entry' data-href='{{ guard_url('employee/salary_history') }}/{{$salary_history->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#employee-salary_history-entry' data-datatable='#employee-salary_history-list' data-href='{{ guard_url('employee/salary_history') }}/{{$salary_history->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('employee-salary_history-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('employee/salary_history'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('employee::salary_history.name') !!}  [{!! $salary_history->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('employee::admin.salary_history.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>