<?php

namespace Bixo\Employee\Repositories\Eloquent;

use Bixo\Employee\Interfaces\SalaryHistoryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class SalaryHistoryRepository extends BaseRepository implements SalaryHistoryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.employee.salary_history.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.employee.salary_history.model.model');
    }
}
